/*    TW 2001

          The TIE definitions  

*/

#define DT_typedef wdwdef  
 
/*   The TIE defaults for Typed Windows  */
#define TIE_DEFAULT_int      { 0, 1 }     /* first visi nr,last visi nr */
#define TIE_DEFAULT_double   { 0.0, 1.0 } /* first visi nr,last visi nr */
#define TIE_DEFAULT_array    { 0, 1, 0 }  /* rot, first visi, last visi */
#define TIE_DEFAULT_typedef  { 0, 0 }     /* rot,color */
#define TIE_DEFAULT_struct   { 1 }        /* rot  */
#define TIE_DEFAULT_pointer  { 0 }        /* rot  */
#define TIE_DEFAULT_union    { 1 }        /* color */
#define TIE_DEFAULT_char  {-1.0, 0.0, 0.36, 0.36, 0.36, 0.00 , 0.0 , 0.25 }

/* The TIE lengths for Typed Windows  */
#define TIE_LENGTH_int              2
#define TIE_LENGTH_char             8
#define TIE_LENGTH_double           2
#define TIE_LENGTH_float            2
#define TIE_LENGTH_array            3
#define TIE_LENGTH_struct           1
#define TIE_LENGTH_union            1
#define TIE_LENGTH_pointer          1
#define TIE_LENGTH_typedef          2

/* The TIE types (char,int or double) for Typed Windows  */
#define TIE_TYPE_int              int
#define TIE_TYPE_char          double
#define TIE_TYPE_double        double
#define TIE_TYPE_float         double
#define TIE_TYPE_array            int
#define TIE_TYPE_struct           int
#define TIE_TYPE_union            int
#define TIE_TYPE_pointer          int
#define TIE_TYPE_typedef          int
/* End of TIE definitions  */


